Subject: Re: bug#13174: 24.1; comment-region incorrectly handling XML comments already present

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Aug 2019 00:23:42 -0700

Louis-Dominique Dubeau <[email-masked]> writes:

> 1. Execute:
>
> $ emacs -Q
>
> 2. M-x nxml-mode.
>
> 3. Emtpy the buffer.
>
> 4. Enter the following text:
>
> <!-- Blah -->
>
> 5. Select that text and issue M-x comment-region.
>
> The text becomes: 
>
> <!-- <\!-- Blah -\-> -->
>
> which is invalid XML. Josse van der Plaat has a solution at:
>
> http://emacswiki.org/emacs/mz-comment-fix.el
>
> Using his solution yields:
>
> <!-- <!-\- Blah -\-> -->
>
> which is is valid XML.

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

I tried your recipe in Emacs 27, and I got:

<!-- <!-\- Blah -\-> -->

So I'm going to go ahead and guess that this bug has been fixed at some
point in the years since the report was filed, and I'm closing this bug
report.  If you're still seeing this, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no